# IISCSIHardDisk Interface Reference

THe IISCSIHardDisk interface represents a specific type of IHardDisk that uses iSCSI. More...

List of all members.

## Public Attributes
attribute wstring | server
| iSCSI Server name (either a host name or an IP address).
attribute unsigned short | port
| iSCSI Server port.
attribute wstring | target
| iSCSI target name.
attribute unsigned long long | lun
| Logical unit number for this iSCSI disk.
attribute wstring | userName
| User name for accessing this iSCSI disk.
attribute wstring | password
| User password for accessing this iSCSI disk.

## Detailed Description

THe IISCSIHardDisk interface represents a specific type of IHardDisk that uses iSCSI.

The IISCSIHardDisk interface represents virtual hard disks that use the Internet SCSI (iSCSI) protocol to store hard disk data on remote machines.

Objects that support this interface also support the IHardDisk interface.

iSCSI hard disks can be created using IVirtualBox::createHardDisk(). When a new hard disk object is created, all its properties are uninitialized. After you assign some meaningful values to them, the hard disk object can be registered by calling IVirtualBox::registerHardDisk() and then attached to virtual machines.

The description of the iSCSI hard disk is stored in the VirtualBox configuration file, so it can be changed (at appropriate times) even when accessible returns `false`. However, the hard disk must not be attached to a running virtual machine.

Note:
  In the current imlementation, the type of all iSCSI hard disks is Writethrough and cannot be changed.

Interface ID:
  `{003F6CA9-3257-4EF9-99C9-C66CE44576CB}`

## Member Data Documentation

attribute wstring IISCSIHardDisk::server

iSCSI Server name (either a host name or an IP address).

For newly created hard disk objects, this value is `null`.

attribute unsigned short IISCSIHardDisk::port

iSCSI Server port.

For newly created hard disk objects, this value is `0`, which means the default port.

attribute wstring IISCSIHardDisk::target

iSCSI target name.

For newly created hard disk objects, this value is `null`.

attribute unsigned long long IISCSIHardDisk::lun

Logical unit number for this iSCSI disk.

For newly created hard disk objects, this value is `0`.

attribute wstring IISCSIHardDisk::userName

User name for accessing this iSCSI disk.

For newly created hard disk objects, this value is `null`.

attribute wstring IISCSIHardDisk::password

User password for accessing this iSCSI disk.

For newly created hard disk objects, this value is `null`.